
QGIS Application - Bug report #9228

Cannot use layer order if non-geometric layers are used

2013-12-17 11:36 PM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17849

Description

If you have non-geometric layers and want to use the custom layer order, it is disabled every time your re-open the project.

This message appears in the log:

The problem comes from the fact that sometimes drawingOrder="-1" in the legend node for the non-geometric layers.

And then, in QgsLegend::verifyDrawingOrder, if a legend layer has drawingOrder <  0, it will reorder the layers according to the legend.

History

#1 - 2013-12-17 11:37 PM - Denis Rouzaud

The message is: Not fully defined drawing order set to legend order.

#2 - 2013-12-17 11:41 PM - Jürgen Fischer

what is a "non-geometric" layer?

#3 - 2013-12-17 11:43 PM - Denis Rouzaud

only data, a postgres layer without geometry column for instance

#4 - 2014-02-07 05:23 AM - Giovanni Manghi

- Priority changed from High to Normal

There is no crash or data corruption, so I'm lowering the priority.

#5 - 2015-02-08 11:55 PM - Denis Rouzaud

- Status changed from Open to Closed
